io.etcd.jetcd.api

## Class LeaseGrpc.LeaseStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractAsyncStub<LeaseGrpc.LeaseStub>
    - - io.etcd.jetcd.api.LeaseGrpc.LeaseStub

Enclosing class:
  LeaseGrpc

    public static final class LeaseGrpc.LeaseStub
    extends io.grpc.stub.AbstractAsyncStub<LeaseGrpc.LeaseStub>

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected LeaseGrpc.LeaseStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`void` `leaseGrant(LeaseGrantRequest request, io.grpc.stub.StreamObserver<LeaseGrantResponse> responseObserver)` LeaseGrant creates a lease which expires if the server does not receive a keepAlive within a given time to live period.
`io.grpc.stub.StreamObserver<LeaseKeepAliveRequest>` `leaseKeepAlive(io.grpc.stub.StreamObserver<LeaseKeepAliveResponse> responseObserver)` LeaseKeepAlive keeps the lease alive by streaming keep alive requests from the client to the server and streaming keep alive responses from the server to the client.
`void` `leaseRevoke(LeaseRevokeRequest request, io.grpc.stub.StreamObserver<LeaseRevokeResponse> responseObserver)` LeaseRevoke revokes a lease.
`void` `leaseTimeToLive(LeaseTimeToLiveRequest request, io.grpc.stub.StreamObserver<LeaseTimeToLiveResponse> responseObserver)` LeaseTimeToLive retrieves lease information.

### Methods inherited from class io.grpc.stub.AbstractAsyncStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected LeaseGrpc.LeaseStub build(io.grpc.Channel channel,
                                        io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<LeaseGrpc.LeaseStub>`

#### leaseGrant

    public void leaseGrant(LeaseGrantRequest request,
                           io.grpc.stub.StreamObserver<LeaseGrantResponse> responseObserver)

     LeaseGrant creates a lease which expires if the server does not receive a keepAlive
     within a given time to live period. All keys attached to the lease will be expired and
     deleted if the lease expires. Each expired key generates a delete event in the event history.

#### leaseRevoke

    public void leaseRevoke(LeaseRevokeRequest request,
                            io.grpc.stub.StreamObserver<LeaseRevokeResponse> responseObserver)

     LeaseRevoke revokes a lease. All keys attached to the lease will expire and be deleted.

#### leaseKeepAlive

    public io.grpc.stub.StreamObserver<LeaseKeepAliveRequest> leaseKeepAlive(io.grpc.stub.StreamObserver<LeaseKeepAliveResponse> responseObserver)

     LeaseKeepAlive keeps the lease alive by streaming keep alive requests from the client
     to the server and streaming keep alive responses from the server to the client.

#### leaseTimeToLive

    public void leaseTimeToLive(LeaseTimeToLiveRequest request,
                                io.grpc.stub.StreamObserver<LeaseTimeToLiveResponse> responseObserver)

     LeaseTimeToLive retrieves lease information.